# platformio remote test

Helper command for remote PIO Unit Testing.

Contents

- platformio remote test

  - Usage

  - Description

  - Options

  - Examples

## Usage

    platformio remote test [OPTIONS]
    pio remote test [OPTIONS]

    # run tests on specified PIO Remote Agent
    platformio remote --agent NAME test [OPTIONS]

## Description

Run remotely tests from PlatformIO based project. More details about PlatformIO PIO Unit Testing.

This command allows you to apply the tests for the environments specified in “platformio.ini” (Project Configuration File).

## Options

-e, --environment

Process specified environments. More details `platformio run --environment`

-i, --ignore

Ignore tests where the name matches specified patterns. More than one pattern is allowed. If you need to ignore some tests for the specific environment, please take a look at test_ignore option from “platformio.ini” (Project Configuration File).

Pattern | Meaning
--- | ---
`*` | matches everything
`?` | matches any single character
`[seq]` | matches any character in seq
`[!seq]` | matches any character not in seq

For example, `platformio remote test --ignore "mytest*" -i "test[13]"`

--upload-port

A port that is intended for firmware uploading. To list available ports please use platformio device list command.

If upload port is not specified, PlatformIO will try to detect it automatically.

--test-port

A Serial/UART port that PlatformIO uses as communication interface between PlatformIO Unit Test Engine and target device. To list available ports please use platformio device list command.

If test port is not specified, PlatformIO will try to detect it automatically.

-d, --project-dir

Specify the path to project directory. By default, `--project-dir` is equal to current working directory (`CWD`).

-r, --force-remote

By default, PIO Remote processes project on a host machine and deploy final testing firmware (program) to remote device (embedded board).

If you need to process project on remote machine, please use `platformio remote test --force-remote` option. In this case, PIO Remote will automatically synchronize your project with remote machine, install required toolchains, frameworks, SDKs, etc., and process project.

--without-building

Skip building stage.

--without-uploading

Skip uploading stage

-v, --verbose

Shows detailed information when processing environments.

This option can also be set globally using force_verbose setting or by environment variable `PLATFORMIO_SETTING_FORCE_VERBOSE`.

## Examples

For the examples please follow to PIO Unit Testing page.